import React from 'react';

declare const TEXT_INPUT_CLASSNAME = "av-text-input";
declare const TEXT_INPUT_SIMPLE_CLASSNAME = "av-text-input-simple";
declare const TEXT_INPUT_WRAPPER_CLASSNAME = "av-text-input-wrapper";
declare const TEXT_INPUT_HELPER_TEXT_CLASSNAME = "av-text-input-helper-text";

type Size = "xs" | "sm" | "md" | "lg" | "xl";

declare const TextInput: React.ForwardRefExoticComponent<{
    rightElement?: React.ReactElement;
    rightElementClassName?: string;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
    size?: Size;
} & Omit<React.InputHTMLAttributes<HTMLInputElement>, "size"> & React.RefAttributes<HTMLInputElement>>;

declare const TextInputMask: React.ForwardRefExoticComponent<{
    rightElement: React.ReactElement;
    onMaskChange?: (masked: boolean) => void;
    onTextInputMaskBlur?: () => void;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
    size?: Size;
} & Omit<React.InputHTMLAttributes<HTMLInputElement>, "size"> & React.RefAttributes<HTMLInputElement>>;

export { TEXT_INPUT_CLASSNAME, TEXT_INPUT_HELPER_TEXT_CLASSNAME, TEXT_INPUT_SIMPLE_CLASSNAME, TEXT_INPUT_WRAPPER_CLASSNAME, TextInput, TextInputMask };
